Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -2627,225 +2691,225 @@
 number related functions	number related functions	sing_143.htm#SEC183	
 numberOfConesOfDimension	numberOfConesOfDimension	sing_234.htm#SEC274	
-number_e		sing_944.htm#SEC1020	
-number_pi		sing_945.htm#SEC1021	
-numerAlg.lib		sing_1381.htm#IDX512	
-numerAlg_lib		sing_1381.htm#IDX513	
-numerDecom.lib		sing_1386.htm#IDX514	
-numerDecom_lib		sing_1386.htm#IDX515	
+number_e		sing_946.htm#SEC1022	
+number_pi		sing_947.htm#SEC1023	
+numerAlg.lib		sing_1384.htm#IDX519	
+numerAlg_lib		sing_1384.htm#IDX520	
+numerDecom.lib		sing_1389.htm#IDX521	
+numerDecom_lib		sing_1389.htm#IDX522	
 numerator		sing_361.htm#SEC401	
 nvars		sing_362.htm#SEC402	
-oneDimBelongSemigroup	oneDimBelongSemigroup	sing_1161.htm#SEC1237	
+oneDimBelongSemigroup	oneDimBelongSemigroup	sing_1164.htm#SEC1240	
 online help	The online help system	sing_16.htm#SEC22	
 open		sing_363.htm#SEC403	
-opentex		sing_1801.htm#SEC1877	
-operatorBM		sing_595.htm#SEC647	
-operatorModulo		sing_596.htm#SEC648	
-oppose		sing_521.htm#SEC561	
-opposite		sing_522.htm#SEC562	
-opposite polynomial		sing_406.htm#IDX221	
-opposite ring		sing_406.htm#IDX218	
+opentex		sing_1804.htm#SEC1880	
+operatorBM		sing_596.htm#SEC648	
+operatorModulo		sing_597.htm#SEC649	
+oppose		sing_522.htm#SEC562	
+opposite		sing_523.htm#SEC563	
+opposite polynomial		sing_406.htm#IDX227	
+opposite ring		sing_406.htm#IDX224	
 option		sing_364.htm#SEC404	
 option(warn)		sing_70.htm#SEC110	
-optionIsSet		sing_1043.htm#SEC1119	
+optionIsSet		sing_1045.htm#SEC1121	
 or	Evaluation of logical expressions	sing_96.htm#SEC136	
 or 		sing_459.htm#SEC499	
-orbit		sing_1399.htm#IDX518	
-orbit 		sing_1400.htm#IDX522	
-orbit  		sing_1403.htm#IDX527	
-orbit   		sing_1404.htm#IDX530	
-orbitCones		sing_2296.htm#SEC2372	
-orbit_variety		sing_1700.htm#SEC1776	
-orbitparam.lib		sing_1399.htm#SEC1475	
-orbitparam_lib		sing_1399.htm#SEC1475	
+orbit		sing_1402.htm#IDX525	
+orbit 		sing_1403.htm#IDX529	
+orbit  		sing_1406.htm#IDX534	
+orbit   		sing_1407.htm#IDX537	
+orbitCones		sing_2299.htm#SEC2375	
+orbit_variety		sing_1703.htm#SEC1779	
+orbitparam.lib		sing_1402.htm#SEC1478	
+orbitparam_lib		sing_1402.htm#SEC1478	
 ord		sing_365.htm#SEC405	
-ord_test		sing_1038.htm#SEC1114	
-orderings	General definitions for orderings	sing_892.htm#SEC944	
-orderings introduction	Introduction to orderings	sing_891.htm#SEC943	
-orderings, M		sing_896.htm#SEC948	
-orderings, a		sing_898.htm#SEC950	
-orderings, global		sing_893.htm#SEC945	
-orderings, local		sing_894.htm#SEC946	
-orderings, product		sing_897.htm#SEC949	
+ord_test		sing_1040.htm#SEC1116	
+orderings	General definitions for orderings	sing_894.htm#SEC946	
+orderings introduction	Introduction to orderings	sing_893.htm#SEC945	
+orderings, M		sing_898.htm#SEC950	
+orderings, a		sing_900.htm#SEC952	
+orderings, global		sing_895.htm#SEC947	
+orderings, local		sing_896.htm#SEC948	
+orderings, product		sing_899.htm#SEC951	
 ordstr		sing_366.htm#SEC406	
-orthogonalize		sing_1117.htm#SEC1193	
-outer		sing_1087.htm#SEC1163	
+orthogonalize		sing_1120.htm#SEC1196	
+outer		sing_1090.htm#SEC1166	
 output		sing_41.htm#SEC71	
 p-adic numbers		sing_32.htm#SEC46	
-pFactor		sing_1933.htm#SEC2009	
-pIntersect		sing_559.htm#SEC611	
-pIntersectSyz		sing_560.htm#SEC612	
+pFactor		sing_1936.htm#SEC2012	
+pIntersect		sing_560.htm#SEC612	
+pIntersectSyz		sing_561.htm#SEC613	
 package		sing_144.htm#SEC184	
 package declarations	package declarations	sing_145.htm#SEC185	
 package related functions	package related functions	sing_146.htm#SEC186	
-pairset		sing_1998.htm#SEC2074	
+pairset		sing_2001.htm#SEC2077	
 par		sing_367.htm#SEC407	
-par2varRing		sing_928.htm#SEC1004	
-paraConic		sing_1414.htm#SEC1490	
-paraPlaneCurve		sing_1408.htm#SEC1484	
-parallel skeletons		sing_982.htm#IDX427	
-parallel.lib		sing_982.htm#SEC1058	
-parallelTestAND		sing_986.htm#SEC1062	
-parallelTestOR		sing_987.htm#SEC1063	
-parallelWaitAll		sing_985.htm#SEC1061	
-parallelWaitFirst		sing_984.htm#SEC1060	
-parallelWaitN		sing_983.htm#SEC1059	
-parallel_lib		sing_982.htm#SEC1058	
-parallelization		sing_982.htm#IDX426	
-parallelization 		sing_1022.htm#IDX429	
-parallelization  		sing_1063.htm#IDX442	
-param		sing_1591.htm#SEC1667	
+par2varRing		sing_930.htm#SEC1006	
+paraConic		sing_1417.htm#SEC1493	
+paraPlaneCurve		sing_1411.htm#SEC1487	
+parallel skeletons		sing_984.htm#IDX433	
+parallel.lib		sing_984.htm#SEC1060	
+parallelTestAND		sing_988.htm#SEC1064	
+parallelTestOR		sing_989.htm#SEC1065	
+parallelWaitAll		sing_987.htm#SEC1063	
+parallelWaitFirst		sing_986.htm#SEC1062	
+parallelWaitN		sing_985.htm#SEC1061	
+parallel_lib		sing_984.htm#SEC1060	
+parallelization		sing_984.htm#IDX432	
+parallelization 		sing_1024.htm#IDX435	
+parallelization  		sing_1066.htm#IDX449	
+param		sing_1594.htm#SEC1670	
 parameter, as numbers		sing_139.htm#SEC179	
-parameterSubstitute		sing_2095.htm#SEC2171	
-parametric annihilator		sing_588.htm#IDX323	
-parametric annihilator for variety		sing_644.htm#IDX346	
-parametrization		sing_1399.htm#IDX519	
-parametrization 		sing_1403.htm#IDX528	
-parametrization  		sing_1591.htm#IDX680	
-parametrizeOrbit		sing_1403.htm#SEC1479	
-paraplanecurves.lib		sing_1405.htm#SEC1481	
-paraplanecurves_lib		sing_1405.htm#SEC1481	
+parameterSubstitute		sing_2098.htm#SEC2174	
+parametric annihilator		sing_589.htm#IDX329	
+parametric annihilator for variety		sing_645.htm#IDX352	
+parametrization		sing_1402.htm#IDX526	
+parametrization 		sing_1406.htm#IDX535	
+parametrization  		sing_1594.htm#IDX687	
+parametrizeOrbit		sing_1406.htm#SEC1482	
+paraplanecurves.lib		sing_1408.htm#SEC1484	
+paraplanecurves_lib		sing_1408.htm#SEC1484	
 pardeg		sing_368.htm#SEC408	
 parstr		sing_369.htm#SEC409	
-part		sing_2224.htm#SEC2300	
-partOver		sing_2227.htm#SEC2303	
-partUnder		sing_2228.htm#SEC2304	
-partial_molien		sing_1678.htm#SEC1754	
-partitions		sing_1182.htm#SEC1258	
-partitions 		sing_1182.htm#IDX475	
-path integral		sing_1174.htm#IDX462	
-pause		sing_979.htm#SEC1055	
-pdivi		sing_958.htm#SEC1034	
-pdivisorplus		sing_2252.htm#SEC2328	
-permcol		sing_1100.htm#SEC1176	
-permrow		sing_1101.htm#SEC1177	
-permutations		sing_1183.htm#IDX476	
-permute		sing_1183.htm#SEC1259	
-permute_L		sing_1836.htm#SEC1912	
-perron		sing_786.htm#SEC838	
-perron.lib		sing_785.htm#SEC837	
-perron_lib		sing_785.htm#SEC837	
-phindex.lib		sing_2100.htm#IDX741	
-phindex_lib		sing_2100.htm#IDX742	
-picksFormula		sing_2056.htm#SEC2132	
-pid		sing_406.htm#IDX230	
-plainInvariants		sing_1550.htm#SEC1626	
-plot		sing_1814.htm#SEC1890	
-plotRot		sing_1818.htm#SEC1894	
-plotRotated		sing_1817.htm#SEC1893	
-plotRotatedDirect		sing_1820.htm#SEC1896	
-plotRotatedList		sing_1819.htm#SEC1895	
-plotRotatedListFromSpecifyList	plotRotatedListFromSpecifyList	sing_1821.htm#SEC1897	
-plural		sing_1045.htm#IDX434	
-pmat		sing_973.htm#SEC1049	
-pnormalf		sing_959.htm#SEC1035	
-pointid.lib		sing_1314.htm#SEC1390	
-pointid_lib		sing_1314.htm#SEC1390	
-polSol		sing_821.htm#SEC873	
-polSolFiniteRank		sing_822.htm#SEC874	
-pollTask		sing_1073.htm#SEC1149	
+part		sing_2227.htm#SEC2303	
+partOver		sing_2230.htm#SEC2306	
+partUnder		sing_2231.htm#SEC2307	
+partial_molien		sing_1681.htm#SEC1757	
+partitions		sing_1185.htm#SEC1261	
+partitions 		sing_1185.htm#IDX482	
+path integral		sing_1177.htm#IDX469	
+pause		sing_981.htm#SEC1057	
+pdivi		sing_960.htm#SEC1036	
+pdivisorplus		sing_2255.htm#SEC2331	
+permcol		sing_1103.htm#SEC1179	
+permrow		sing_1104.htm#SEC1180	
+permutations		sing_1186.htm#IDX483	
+permute		sing_1186.htm#SEC1262	
+permute_L		sing_1839.htm#SEC1915	
+perron		sing_788.htm#SEC840	
+perron.lib		sing_787.htm#SEC839	
+perron_lib		sing_787.htm#SEC839	
+phindex.lib		sing_2103.htm#IDX748	
+phindex_lib		sing_2103.htm#IDX749	
+picksFormula		sing_2059.htm#SEC2135	
+pid		sing_406.htm#IDX236	
+plainInvariants		sing_1553.htm#SEC1629	
+plot		sing_1817.htm#SEC1893	
+plotRot		sing_1821.htm#SEC1897	
+plotRotated		sing_1820.htm#SEC1896	
+plotRotatedDirect		sing_1823.htm#SEC1899	
+plotRotatedList		sing_1822.htm#SEC1898	
+plotRotatedListFromSpecifyList	plotRotatedListFromSpecifyList	sing_1824.htm#SEC1900	
+plural		sing_1047.htm#IDX440	
+pmat		sing_975.htm#SEC1051	
+pnormalf		sing_961.htm#SEC1037	
+pointid.lib		sing_1317.htm#SEC1393	
+pointid_lib		sing_1317.htm#SEC1393	
+polSol		sing_823.htm#SEC875	
+polSolFiniteRank		sing_824.htm#SEC876	
+pollTask		sing_1076.htm#SEC1152	
 poly		sing_147.htm#SEC187	
-poly (plural)		sing_486.htm#SEC526	
+poly (plural)		sing_487.htm#SEC527	
 poly declarations		sing_148.htm#SEC188	
-poly declarations (plural)	poly declarations (plural)	sing_487.htm#SEC527	
+poly declarations (plural)	poly declarations (plural)	sing_488.htm#SEC528	
 poly expressions		sing_149.htm#SEC189	
-poly expressions (plural)	poly expressions (plural)	sing_488.htm#SEC528	
+poly expressions (plural)	poly expressions (plural)	sing_489.htm#SEC529	
 poly operations		sing_150.htm#SEC190	
-poly operations (plural)	poly operations (plural)	sing_489.htm#SEC529	
+poly operations (plural)	poly operations (plural)	sing_490.htm#SEC530	
 poly related functions	poly related functions	sing_151.htm#SEC191	
-poly related functions (plural)	poly related functions (plural)	sing_490.htm#SEC530	
-poly.lib		sing_988.htm#SEC1064	
-poly2list		sing_637.htm#SEC689	
-poly2zdd		sing_2121.htm#SEC2197	61839
-polyInterpolation		sing_2255.htm#SEC2331	
-polyVars		sing_828.htm#SEC880	
-poly_lib		sing_988.htm#SEC1064	
-polybori		sing_2105.htm#IDX746	
-polybori.lib		sing_2105.htm#IDX743	
-polybori.lib 		sing_2105.htm#IDX747	
-polybori_lib		sing_2105.htm#IDX744	
-polymake		sing_2041.htm#IDX734	
-polymake.lib		sing_2041.htm#SEC2117	
-polymakePolytope		sing_2042.htm#SEC2118	
-polymake_lib		sing_2041.htm#SEC2117	
-polymake_so		sing_2421.htm#IDX899	
-polynomial solutions		sing_815.htm#IDX374	
-polynomial, opposite		sing_406.htm#IDX222	
+poly related functions (plural)	poly related functions (plural)	sing_491.htm#SEC531	
+poly.lib		sing_990.htm#SEC1066	
+poly2list		sing_638.htm#SEC690	
+poly2zdd		sing_2124.htm#SEC2200	61839
+polyInterpolation		sing_2258.htm#SEC2334	
+polyVars		sing_830.htm#SEC882	
+poly_lib		sing_990.htm#SEC1066	
+polybori		sing_2108.htm#IDX753	
+polybori.lib		sing_2108.htm#IDX750	
+polybori.lib 		sing_2108.htm#IDX754	
+polybori_lib		sing_2108.htm#IDX751	
+polymake		sing_2044.htm#IDX741	
+polymake.lib		sing_2044.htm#SEC2120	
+polymakePolytope		sing_2045.htm#SEC2121	
+polymake_lib		sing_2044.htm#SEC2120	
+polymake_so		sing_2426.htm#IDX904	
+polynomial solutions		sing_817.htm#IDX380	
+polynomial, opposite		sing_406.htm#IDX228	
 polytope		sing_236.htm#SEC276	
-polytope 		sing_2041.htm#IDX730	
+polytope 		sing_2044.htm#IDX737	
 polytope related functions	polytope related functions	sing_239.htm#SEC279	
 polytopeViaInequalities	polytopeViaInequalities	sing_238.htm#SEC278	
 polytopeViaPoints		sing_237.htm#SEC277	
-pos_def		sing_1128.htm#SEC1204	
-poset		sing_2163.htm#IDX847	
-posweight		sing_1658.htm#SEC1734	
-powSumSym		sing_2181.htm#SEC2257	
-power		sing_1088.htm#SEC1164	
-powerN		sing_1917.htm#SEC1993	
-powerX		sing_1926.htm#SEC2002	
-power_products		sing_1692.htm#SEC1768	
-powerpolyX		sing_1896.htm#SEC1972	
-powersums		sing_2019.htm#SEC2095	
-preComp		sing_1251.htm#SEC1327	
+pos_def		sing_1131.htm#SEC1207	
+poset		sing_2166.htm#IDX854	
+posweight		sing_1661.htm#SEC1737	
+powSumSym		sing_2184.htm#SEC2260	
+power		sing_1091.htm#SEC1167	
+powerN		sing_1920.htm#SEC1996	
+powerX		sing_1929.htm#SEC2005	
+power_products		sing_1695.htm#SEC1771	
+powerpolyX		sing_1899.htm#SEC1975	
+powersums		sing_2022.htm#SEC2098	
+preComp		sing_1254.htm#SEC1330	
 preimage		sing_370.htm#SEC410	
-preimage 		sing_752.htm#IDX349	
-preimage (plural)		sing_523.htm#SEC563	
-preimage under a map between local rings, map between local rings, map between local and global rings	preimageLoc	sing_1041.htm#IDX432	
-preimageLattice		sing_2361.htm#SEC2437	
-preimageLoc		sing_1041.htm#SEC1117	
-preimageNC		sing_754.htm#SEC806	
-prepEmbDiv		sing_1476.htm#SEC1552	
-prepMat		sing_1729.htm#SEC1805	
-prepRealclassify		sing_1534.htm#SEC1610	
-prepSV		sing_1831.htm#SEC1907	
-prepareAss		sing_1333.htm#SEC1409	
-presentTree		sing_1463.htm#SEC1539	
-presolve.lib		sing_1739.htm#SEC1815	
-presolve_lib		sing_1739.htm#SEC1815	
-primL		sing_1921.htm#SEC1997	
-primList		sing_1920.htm#SEC1996	
-primRoot		sing_1373.htm#SEC1449	
-primTest		sing_1250.htm#SEC1326	
-primary_char0		sing_1682.htm#SEC1758	
-primary_char0_no_molien	primary_char0_no_molien	sing_1684.htm#SEC1760	
-primary_char0_no_molien_random	primary_char0_no_molien_random	sing_1689.htm#SEC1765	
-primary_char0_random	primary_char0_random	sing_1687.htm#SEC1763	
-primary_charp		sing_1683.htm#SEC1759	
-primary_charp_no_molien	primary_charp_no_molien	sing_1685.htm#SEC1761	
-primary_charp_no_molien_random	primary_charp_no_molien_random	sing_1690.htm#SEC1766	
-primary_charp_random	primary_charp_random	sing_1688.htm#SEC1764	
-primary_charp_without	primary_charp_without	sing_1686.htm#SEC1762	
-primary_charp_without_random	primary_charp_without_random	sing_1691.htm#SEC1767	
-primary_invariants		sing_1670.htm#SEC1746	
-primary_invariants_random	primary_invariants_random	sing_1671.htm#SEC1747	
-primdec.lib		sing_1318.htm#SEC1394	
-primdecGTZ		sing_1320.htm#SEC1396	
-primdecGTZE		sing_1321.htm#SEC1397	
-primdecMon		sing_1239.htm#SEC1315	
-primdecSY		sing_1322.htm#SEC1398	
-primdecSYE		sing_1323.htm#SEC1399	
-primdecZ		sing_1342.htm#SEC1418	
-primdecZM		sing_1343.htm#SEC1419	
-primdec_lib		sing_1318.htm#SEC1394	
-primdecint.lib		sing_1341.htm#SEC1417	
-primdecint_lib		sing_1341.htm#SEC1417	
+preimage 		sing_754.htm#IDX355	
+preimage (plural)		sing_524.htm#SEC564	
+preimage under a map between local rings, map between local rings, map between local and global rings	preimageLoc	sing_1043.htm#IDX438	
+preimageLattice		sing_2364.htm#SEC2440	
+preimageLoc		sing_1043.htm#SEC1119	
+preimageNC		sing_756.htm#SEC808	
+prepEmbDiv		sing_1479.htm#SEC1555	
+prepMat		sing_1732.htm#SEC1808	
+prepRealclassify		sing_1537.htm#SEC1613	
+prepSV		sing_1834.htm#SEC1910	
+prepareAss		sing_1336.htm#SEC1412	
+presentTree		sing_1466.htm#SEC1542	
+presolve.lib		sing_1742.htm#SEC1818	
+presolve_lib		sing_1742.htm#SEC1818	
+primL		sing_1924.htm#SEC2000	
+primList		sing_1923.htm#SEC1999	
+primRoot		sing_1376.htm#SEC1452	
+primTest		sing_1253.htm#SEC1329	
+primary_char0		sing_1685.htm#SEC1761	
+primary_char0_no_molien	primary_char0_no_molien	sing_1687.htm#SEC1763	
+primary_char0_no_molien_random	primary_char0_no_molien_random	sing_1692.htm#SEC1768	
+primary_char0_random	primary_char0_random	sing_1690.htm#SEC1766	
+primary_charp		sing_1686.htm#SEC1762	
+primary_charp_no_molien	primary_charp_no_molien	sing_1688.htm#SEC1764	
+primary_charp_no_molien_random	primary_charp_no_molien_random	sing_1693.htm#SEC1769	
+primary_charp_random	primary_charp_random	sing_1691.htm#SEC1767	
+primary_charp_without	primary_charp_without	sing_1689.htm#SEC1765	
+primary_charp_without_random	primary_charp_without_random	sing_1694.htm#SEC1770	
+primary_invariants		sing_1673.htm#SEC1749	
+primary_invariants_random	primary_invariants_random	sing_1674.htm#SEC1750	
+primdec.lib		sing_1321.htm#SEC1397	
+primdecGTZ		sing_1323.htm#SEC1399	
+primdecGTZE		sing_1324.htm#SEC1400	
+primdecMon		sing_1242.htm#SEC1318	
+primdecSY		sing_1325.htm#SEC1401	
+primdecSYE		sing_1326.htm#SEC1402	
+primdecZ		sing_1345.htm#SEC1421	
+primdecZM		sing_1346.htm#SEC1422	
+primdec_lib		sing_1321.htm#SEC1397	
+primdecint.lib		sing_1344.htm#SEC1420	
+primdecint_lib		sing_1344.htm#SEC1420	
 prime		sing_371.htm#SEC411	
-primeClosure		sing_1278.htm#SEC1354	
-primecoeffs		sing_951.htm#SEC1027	
+primeClosure		sing_1281.htm#SEC1357	
+primecoeffs		sing_953.htm#SEC1029	
 primefactors		sing_372.htm#SEC412	
-primes		sing_946.htm#SEC1022	
-primitiv.lib		sing_1349.htm#SEC1425	
-primitiv_lib		sing_1349.htm#SEC1425	
-primitive		sing_1350.htm#SEC1426	
-primitive element		sing_1350.htm#IDX509	
-primitiveSpan		sing_2368.htm#SEC2444	
-primitive_extra		sing_1351.htm#SEC1427	
-primparam		sing_1545.htm#SEC1621	
-principal intersection		sing_553.htm#IDX307	
+primes		sing_948.htm#SEC1024	
+primitiv.lib		sing_1352.htm#SEC1428	
+primitiv_lib		sing_1352.htm#SEC1428	
+primitive		sing_1353.htm#SEC1429	
+primitive element		sing_1353.htm#IDX516	
+primitiveSpan		sing_2371.htm#SEC2447	
+primitive_extra		sing_1354.htm#SEC1430	
+primparam		sing_1548.htm#SEC1624	
+principal intersection		sing_554.htm#IDX313	
 print		sing_373.htm#SEC413	
-print 		sing_2130.htm#IDX782	
-printGraph		sing_1176.htm#SEC1252	
-printGroup		sing_2349.htm#SEC2425	
-printMoebius		sing_2169.htm#SEC2245	
-printTask		sing_1068.htm#SEC1144	
+print 		sing_2133.htm#IDX789	
+printGraph		sing_1179.htm#SEC1255	
+printGroup		sing_2352.htm#SEC2428	
+printMoebius		sing_2172.htm#SEC2248	
+printTask		sing_1071.htm#SEC1147	
 printf		sing_374.htm#SEC414	
 printlevel		sing_448.htm#SEC488	
@@ -2859,148 +2923,148 @@
 procedures, static	Procedure definition	sing_43.htm#SEC78	
 procs with different argument types	procs with different argument types	sing_155.htm#SEC195	
-prodcrit		sing_1996.htm#SEC2072	
-product		sing_947.htm#SEC1023	
-productgroup		sing_2370.htm#SEC2446	
-progress watch		sing_364.htm#IDX158	
-projectLattice		sing_2362.htm#SEC2438	
-projective dimension	purityfiltration_lib	sing_793.htm#IDX358	
+prodcrit		sing_1999.htm#SEC2075	
+product		sing_949.htm#SEC1025	
+productgroup		sing_2373.htm#SEC2449	
+progress watch		sing_364.htm#IDX163	
+projectLattice		sing_2365.htm#SEC2441	
+projective dimension	purityfiltration_lib	sing_795.htm#IDX364	
 projective limes		sing_32.htm#SEC46	
-projectiveDimension		sing_794.htm#SEC846	
+projectiveDimension		sing_796.htm#SEC848	
 prompt		sing_15.htm#SEC21	
-prompt, option		sing_364.htm#IDX177	
-propagator		sing_1174.htm#IDX460	
-propagator 		sing_1177.htm#SEC1253	
-prot, option		sing_364.htm#IDX156	
-protocol of computations		sing_364.htm#IDX157	
-proximitymatrix		sing_1504.htm#SEC1580	
+prompt, option		sing_364.htm#IDX182	
+propagator		sing_1177.htm#IDX467	
+propagator 		sing_1180.htm#SEC1256	
+prot, option		sing_364.htm#IDX161	
+protocol of computations		sing_364.htm#IDX162	
+proximitymatrix		sing_1507.htm#SEC1583	
 prune		sing_375.htm#SEC415	
-prwalk		sing_2397.htm#SEC2473	
-psigncnd		sing_1792.htm#SEC1868	
-puiseux2generators		sing_1603.htm#SEC1679	
-puiseuxExpansion		sing_2066.htm#SEC2142	
-pure tensor		sing_546.htm#IDX295	
-purelist		sing_804.htm#SEC856	
-purity	purityfiltration_lib	sing_793.htm#IDX360	
-purityFiltration		sing_795.htm#SEC847	
-purityTriang		sing_796.htm#SEC848	
-purityfiltration.lib	purityfiltration_lib	sing_793.htm#IDX353	
-purityfiltration_lib	purityfiltration_lib	sing_793.htm#IDX354	
-pushForward		sing_2387.htm#SEC2463	
-pwalk		sing_1190.htm#SEC1266	
+prwalk		sing_2402.htm#SEC2478	
+psigncnd		sing_1795.htm#SEC1871	
+puiseux2generators		sing_1606.htm#SEC1682	
+puiseuxExpansion		sing_2069.htm#SEC2145	
+pure tensor		sing_547.htm#IDX301	
+purelist		sing_806.htm#SEC858	
+purity	purityfiltration_lib	sing_795.htm#IDX366	
+purityFiltration		sing_797.htm#SEC849	
+purityTriang		sing_798.htm#SEC850	
+purityfiltration.lib	purityfiltration_lib	sing_795.htm#IDX359	
+purityfiltration_lib	purityfiltration_lib	sing_795.htm#IDX360	
+pushForward		sing_2390.htm#SEC2466	
+pwalk		sing_1193.htm#SEC1269	
 pyobject		sing_243.htm#SEC283	
-pyobject 		sing_2105.htm#IDX749	
+pyobject 		sing_2108.htm#IDX756	
 pyobject declarations	pyobject declarations	sing_244.htm#SEC284	
 pyobject expressions	pyobject expressions	sing_245.htm#SEC285	
 pyobject operations		sing_246.htm#SEC286	
 pyobject related functions	pyobject related functions	sing_247.htm#SEC287	
-pyramid		sing_2271.htm#SEC2347	
+pyramid		sing_2274.htm#SEC2350	
 python_eval		sing_248.htm#SEC288	
 python_import		sing_249.htm#SEC289	
 python_run		sing_250.htm#SEC290	
-qbase		sing_2022.htm#SEC2098	
-qepcad		sing_2281.htm#SEC2357	
-qepcadsystem		sing_2282.htm#SEC2358	
-qhmatrix		sing_1656.htm#SEC1732	
-qhmoduli.lib		sing_1620.htm#SEC1696	
-qhmoduli_lib		sing_1620.htm#SEC1696	
-qhspectrum		sing_1643.htm#SEC1719	
+qbase		sing_2025.htm#SEC2101	
+qepcad		sing_2284.htm#SEC2360	
+qepcadsystem		sing_2285.htm#SEC2361	
+qhmatrix		sing_1659.htm#SEC1735	
+qhmoduli.lib		sing_1623.htm#SEC1699	
+qhmoduli_lib		sing_1623.htm#SEC1699	
+qhspectrum		sing_1646.htm#SEC1722	
 qhweight		sing_376.htm#SEC416	
-qmatrix.lib		sing_787.htm#SEC839	
-qmatrix_lib		sing_787.htm#SEC839	
-qminor		sing_789.htm#SEC841	
+qmatrix.lib		sing_789.htm#SEC841	
+qmatrix_lib		sing_789.htm#SEC841	
+qminor		sing_791.htm#SEC843	
 qrds		sing_377.htm#SEC417	
 qring	Miscellaneous oddities	sing_161.htm#SEC201	
-qring 		sing_466.htm#IDX283	
-qring (plural)		sing_491.htm#SEC531	
+qring 		sing_466.htm#IDX289	
+qring (plural)		sing_492.htm#SEC532	
 qring declaration		sing_165.htm#SEC205	
-qring declaration (plural)	qring declaration (plural)	sing_492.htm#SEC532	
-qring related functions (plural)	qring related functions (plural)	sing_493.htm#SEC533	
-qring ring ideal 'factor ring'		sing_1050.htm#IDX438	
-qringNF, option		sing_364.htm#IDX159	
-qslimgb		sing_927.htm#SEC1003	
-quadraticSieve		sing_1934.htm#SEC2010	
-quantMat		sing_788.htm#SEC840	
-quickclass		sing_1526.htm#SEC1602	
+qring declaration (plural)	qring declaration (plural)	sing_493.htm#SEC533	
+qring related functions (plural)	qring related functions (plural)	sing_494.htm#SEC534	
+qring ring ideal 'factor ring'		sing_1053.htm#IDX445	
+qringNF, option		sing_364.htm#IDX164	
+qslimgb		sing_929.htm#SEC1005	
+quadraticSieve		sing_1937.htm#SEC2013	
+quantMat		sing_790.htm#SEC842	
+quickclass		sing_1529.htm#SEC1605	
 quit		sing_438.htm#SEC478	
 quote		sing_378.htm#SEC418	
 quotient		sing_379.htm#SEC419	
-quotient (plural)		sing_524.htm#SEC564	
+quotient (plural)		sing_525.htm#SEC565	
 quotientLatticeBasis	quotientLatticeBasis	sing_212.htm#SEC252	
-quotientMain		sing_1784.htm#SEC1860	
-quotientMon		sing_1230.htm#SEC1306	
-quotients		sing_2290.htm#IDX879	
-rHRR		sing_2221.htm#SEC2297	
-rMacaulay		sing_974.htm#SEC1050	
-rad_con		sing_1001.htm#SEC1077	
-radical		sing_1330.htm#SEC1406	
-radicalEHV		sing_1331.htm#SEC1407	
-radicalMemberShip		sing_2088.htm#SEC2164	
-radicalMon		sing_1231.htm#SEC1307	
-radicalZ		sing_1345.htm#SEC1421	
-randcharpoly		sing_2016.htm#SEC2092	
-randlinpoly		sing_2018.htm#SEC2094	
+quotientMain		sing_1787.htm#SEC1863	
+quotientMon		sing_1233.htm#SEC1309	
+quotients		sing_2293.htm#IDX886	
+rHRR		sing_2224.htm#SEC2300	
+rMacaulay		sing_976.htm#SEC1052	
+rad_con		sing_1003.htm#SEC1079	
+radical		sing_1333.htm#SEC1409	
+radicalEHV		sing_1334.htm#SEC1410	
+radicalMemberShip		sing_2091.htm#SEC2167	
+radicalMon		sing_1234.htm#SEC1310	
+radicalZ		sing_1348.htm#SEC1424	
+randcharpoly		sing_2019.htm#SEC2095	
+randlinpoly		sing_2021.htm#SEC2097	
 random		sing_380.htm#SEC420	
-random 		sing_406.htm#IDX234	
-random  		sing_2151.htm#IDX821	
-random   		sing_2152.htm#IDX823	
-random number generator, seed		sing_406.htm#IDX232	
-random.lib		sing_1009.htm#SEC1085	
-randomBinomial		sing_1021.htm#SEC1097	
-randomCheck		sing_1847.htm#SEC1923	
-randomLast		sing_1020.htm#SEC1096	
+random 		sing_406.htm#IDX240	
+random  		sing_2154.htm#IDX828	
+random   		sing_2155.htm#IDX830	
+random number generator, seed		sing_406.htm#IDX238	
+random.lib		sing_1011.htm#SEC1087	
+randomBinomial		sing_1023.htm#SEC1099	
+randomCheck		sing_1850.htm#SEC1926	
+randomLast		sing_1022.htm#SEC1098	
 randomPoint		sing_213.htm#SEC253	
-randomPolyInT		sing_2097.htm#SEC2173	
-random_lib		sing_1009.htm#SEC1085	
-randomid		sing_1011.htm#SEC1087	
-randommat		sing_1012.htm#SEC1088	
-rank		sing_261.htm#IDX133	
+randomPolyInT		sing_2100.htm#SEC2176	
+random_lib		sing_1011.htm#SEC1087	
+randomid		sing_1013.htm#SEC1089	
+randommat		sing_1014.htm#SEC1090	
+rank		sing_261.htm#IDX137	
 rank 		sing_381.htm#SEC421	
-ratSol		sing_823.htm#SEC875	
-ratgb.lib		sing_813.htm#IDX363	
-ratgb_lib		sing_813.htm#IDX364	
-rational curves, rational parametrization of rational curves.	paraPlaneCurve	sing_1408.htm#IDX540	
-rational normal curve, projection.		sing_1409.htm#IDX541	
-rational normal curve, projection. 		sing_1412.htm#IDX542	
-rational normal curve, projection.  		sing_1413.htm#IDX543	
-rational solutions		sing_815.htm#IDX375	
-rational univariate projection		sing_2016.htm#IDX727	
-rationalPointConic		sing_1410.htm#SEC1486	
-ratstd		sing_814.htm#SEC866	
+ratSol		sing_825.htm#SEC877	
+ratgb.lib		sing_815.htm#IDX369	
+ratgb_lib		sing_815.htm#IDX370	
+rational curves, rational parametrization of rational curves.	paraPlaneCurve	sing_1411.htm#IDX547	
+rational normal curve, projection.		sing_1412.htm#IDX548	
+rational normal curve, projection. 		sing_1415.htm#IDX549	
+rational normal curve, projection.  		sing_1416.htm#IDX550	
+rational solutions		sing_817.htm#IDX381	
+rational univariate projection		sing_2019.htm#IDX734	
+rationalPointConic		sing_1413.htm#SEC1489	
+ratstd		sing_816.htm#SEC868	
 rays		sing_214.htm#SEC254	
-re2squ		sing_1387.htm#SEC1463	
+re2squ		sing_1390.htm#SEC1466	
 read		sing_382.htm#SEC422	
-readNmzData		sing_1305.htm#SEC1381	18957
-reading, option		sing_364.htm#IDX178	
+readNmzData		sing_1308.htm#SEC1384	18957
+reading, option		sing_364.htm#IDX183	
 readline		sing_1.htm#IDX5	
 real		sing_28.htm#IDX74	
-real roots, univariate polynomial		sing_2023.htm#IDX729	
-real roots, univariate projection		sing_2007.htm#IDX725	
-real roots,sign conditions		sing_1790.htm#IDX705	
-realclassify		sing_2404.htm#SEC2480	
-realclassify.lib		sing_2403.htm#SEC2479	
-realclassify_lib		sing_2403.htm#SEC2479	
-realizationDim		sing_2060.htm#SEC2136	
-realizationDimPoly		sing_2062.htm#SEC2138	
-realizationMatroids.lib	realizationMatroids_lib	sing_2059.htm#SEC2135	
-realizationMatroids_lib	realizationMatroids_lib	sing_2059.htm#SEC2135	
-realmorsesplit		sing_2405.htm#SEC2481	
-realpoly		sing_1354.htm#SEC1430	
-realrad		sing_1356.htm#SEC1432	
-realrad.lib		sing_1353.htm#SEC1429	
-realrad_lib		sing_1353.htm#SEC1429	
-realzero		sing_1355.htm#SEC1431	
-recursive_boolean_poly	recursive_boolean_poly	sing_2111.htm#SEC2187	17045
-recursive_from_boolean_poly	recursive_from_boolean_poly	sing_2117.htm#SEC2193	37794
-redSB, option		sing_364.htm#IDX160	
-redTail, option		sing_364.htm#IDX162	
-redThrough, option		sing_364.htm#IDX163	
-redefine, option		sing_364.htm#IDX179	
+real roots, univariate polynomial		sing_2026.htm#IDX736	
+real roots, univariate projection		sing_2010.htm#IDX732	
+real roots,sign conditions		sing_1793.htm#IDX712	
+realclassify		sing_2409.htm#SEC2485	
+realclassify.lib		sing_2408.htm#SEC2484	
+realclassify_lib		sing_2408.htm#SEC2484	
+realizationDim		sing_2063.htm#SEC2139	
+realizationDimPoly		sing_2065.htm#SEC2141	
+realizationMatroids.lib	realizationMatroids_lib	sing_2062.htm#SEC2138	
+realizationMatroids_lib	realizationMatroids_lib	sing_2062.htm#SEC2138	
+realmorsesplit		sing_2410.htm#SEC2486	
+realpoly		sing_1357.htm#SEC1433	
+realrad		sing_1359.htm#SEC1435	
+realrad.lib		sing_1356.htm#SEC1432	
+realrad_lib		sing_1356.htm#SEC1432	
+realzero		sing_1358.htm#SEC1434	
+recursive_boolean_poly	recursive_boolean_poly	sing_2114.htm#SEC2190	17045
+recursive_from_boolean_poly	recursive_from_boolean_poly	sing_2120.htm#SEC2196	37794
+redSB, option		sing_364.htm#IDX165	
+redTail, option		sing_364.htm#IDX167	
+redThrough, option		sing_364.htm#IDX168	
+redefine, option		sing_364.htm#IDX184	
 reduce		sing_383.htm#SEC423	
-reduce 		sing_567.htm#IDX312	
-reduce (plural)		sing_525.htm#SEC565	
-reduced standard basis		sing_364.htm#IDX161	
-reduction		sing_1708.htm#SEC1784	
-reesclos.lib		sing_1357.htm#SEC1433	
-reesclos_lib		sing_1357.htm#SEC1433	
+reduce 		sing_568.htm#IDX318	
+reduce (plural)		sing_526.htm#SEC566	
+reduced standard basis		sing_364.htm#IDX166	
+reduction		sing_1711.htm#SEC1787	
+reesclos.lib		sing_1360.htm#SEC1436	
+reesclos_lib		sing_1360.htm#SEC1436	
 reference		sing_251.htm#SEC291	
 reference declarations	reference declarations	sing_252.htm#SEC292	
